import { DataResponse, GetResponse } from '../model/data-model';
export interface DataHandler {
}
export interface DataGetter extends DataHandler {
    getData(options: object): GetResponse;
}
export declare function isDataGetter(getter: any): getter is DataGetter;
export declare const dataGetterType = "get";
export interface DataAdder extends DataHandler {
    addData(options: object): GetResponse;
}
export declare function isDataAdder(getter: any): getter is DataAdder;
export declare const dataAdderType = "add";
export interface DataRemover extends DataHandler {
    removeData(options: object): DataResponse;
}
export declare function isDataRemover(setter: any): setter is DataRemover;
export declare const dataRemoverType = "delete";
export interface DataSetter extends DataHandler {
    setData(options: object): DataResponse;
}
export declare function isDataSetter(setter: any): setter is DataSetter;
export declare const dataSetterType = "set";
