import { DataModel, DataRequest, DataResponse } from '../model/data-model';
import { DataEntry } from '../entry/data-entry';
import { DataHandler } from './data-handler';
export declare class DataManager implements DataModel {
    private static _instance;
    private static _registerHandler(domain, dataHandler, map, type);
    static readonly instance: DataManager;
    private _dataGetters;
    private _dataSetters;
    private _dataAdders;
    private _dataRemovers;
    private constructor();
    getTable(entries: DataEntry[]): any[][];
    makeRequest(requests: DataRequest[]): DataResponse[];
    registerHandler(domain: string, dataHandler: DataHandler): void;
    private buildValue(index, row, builder);
}
