"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class DataRequest {
    constructor(domain, type, options) {
        this.domain = domain;
        this.type = type;
        this.options = options;
    }
}
exports.DataRequest = DataRequest;
class AddRequest extends DataRequest {
    constructor(domain, options) {
        super(domain, AddRequest.type, options);
    }
}
AddRequest.type = 'add';
exports.AddRequest = AddRequest;
class GetRequest extends DataRequest {
    constructor(domain, options) {
        super(domain, GetRequest.type, options);
    }
}
GetRequest.type = 'get';
exports.GetRequest = GetRequest;
class RemoveRequest extends DataRequest {
    constructor(domain, options) {
        super(domain, GetRequest.type, options);
    }
}
RemoveRequest.type = 'delete';
exports.RemoveRequest = RemoveRequest;
class SetRequest extends DataRequest {
    constructor(domain, value, options) {
        super(domain, SetRequest.type, options);
    }
}
SetRequest.type = 'set';
exports.SetRequest = SetRequest;
class DataResponse {
    constructor(succes, error) {
        this.succes = succes;
        this.error = error;
    }
}
exports.DataResponse = DataResponse;
class GetResponse extends DataResponse {
    constructor(succes = false, value, error) {
        super(succes, error);
        this.value = value;
    }
}
exports.GetResponse = GetResponse;
//# sourceMappingURL=data-model.js.map