export declare class DataEntry {
    static readonly staticOption: string;
    static readonly dependencyOption: string;
    id: string;
    domain: string;
    filters: Filters;
    options: Options;
    constructor(id: string, domain: string, options?: Options, filters?: {});
}
export declare class Options {
    values?: Option;
    dependencies?: Option;
    constructor();
}
export interface Filters {
    [entryId: string]: RegExp | string;
}
export interface Option {
    [name: string]: string;
}
